Update report
Updates the specified report.
Request
POST
https://api.datalens.tech/rpc/updateReport
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"entryId": "example",
"data": {
"counter": 1,
"salt": "example",
"slides": [
{
"id": "example"
}
],
"slideGroups": [
{
"id": "example",
"items": [
null
],
"layout": [
{}
],
"aliases": {
"default": [
null
]
},
"connections": [
{}
]
}
],
"slidesOrder": [
"example"
],
"visualSettings": {
"backgroundColor": "example",
"backgroundSettings": {
"color": {}
},
"borderRadius": 0.5,
"widgetsSettings": {
"borderRadius": 0.5,
"internalMarginsEnabled": true
},
"theme": "example",
"contrast": "example",
"format": "example",
"orientation": "example",
"displayVisualGrid": "example",
"displayDefaultFooter": "example",
"footerText": "example",
"displayLink": "example",
"footerLink": "example",
"displayOnFirstPage": "example",
"displayPageNumber": "example"
},
"slideSettings": {},
"settings": {
"enableAssistant": true,
"dependentSelectors": true,
"loadOnlyVisibleCharts": true
},
"supportDescription": "example",
"accessDescription": "example"
},
"mode": "save",
"revId": "example",
"meta": {},
"annotation": {
"description": "example"
}
}
|
Name |
Description |
|
data |
Type: ReportDataV2 Example
|
|
entryId |
Type: string Example: |
|
meta |
Type: ReportMetaV2 Example
|
|
mode |
Type: string Enum: |
|
annotation |
Type: EntryAnnotationArg Example
|
|
revId |
Type: string Example: |
DashColorByThemeV2
|
Name |
Description |
|
dark |
Type: string Color for the dark theme. Example: |
|
light |
Type: string Color for the light theme. Example: |
Example
{
"light": "example",
"dark": "example"
}
DashStringDefaultValueV2
A dashboard parameter value represented by one or multiple strings.
Any of 2 types
-
Type: string
Example:
example -
Type: string[]
Example
[ "example" ]
Example: example
DashControlSourceExternalV2
External control source.
|
Name |
Description |
|
chartId |
Type: string Source chart identifier. Min length: Example: |
Example
{
"chartId": "example"
}
DashControlElementV2
One of 4 types
-
Type: object
elementType
Type: string
Select control type.
Const:
selectExample:
exampleaccentType
Type: string | null
Control accent style.
Const:
infoExample:
exampledefaultValue
Any of 2 types
-
Type: string
Example:
example -
Type: string[]
Example
[ "example" ]
Default selected value or values.
Example:
examplehint
Type: string
Control hint text.
Example:
exampleinnerTitle
Type: string
Title displayed inside the control.
Example:
examplemultiselectable
Type: boolean
Whether multiple values can be selected.
operation
Type: string
Filtering operation.
Enum:
IN,NIN,EQ,NE,GT,LT,GTE,LTE,ISNULL,ISNOTNULL,ISTARTSWITH,STARTSWITH,IENDSWITH,ENDSWITH,ICONTAINS,CONTAINS,NOTICONTAINS,NOTCONTAINS,BETWEEN,LENEQ,LENGT,LENGTE,LENLT,LENLTE,NO_SELECTED_VALUESrequired
Type: boolean
Whether the control value is required.
showHint
Type: boolean
Whether to show the control hint.
showInnerTitle
Type: boolean
Whether to show the title inside the control.
showTitle
Type: boolean
Whether to show the control title.
titlePlacement
Type: string
Control title placement.
Enum:
hide,left,topExample
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example" } -
-
Type: object
elementType
Type: string
Date control type.
Const:
dateExample:
exampleaccentType
Type: string | null
Control accent style.
Const:
infoExample:
exampledefaultValue
Type: string
Default date value.
Example:
examplefieldType
Type: string
Type of the field used by the date control.
Enum:
date,genericdatetime,datetimetz,integer,uinteger,string,float,boolean,geopoint,geopolygon,markup,heatmap,array_int,array_float,array_str,unsupported,hierarchy,tree_str,tree_int,tree_floathint
Type: string
Control hint text.
Example:
exampleinnerTitle
Type: string
Title displayed inside the control.
Example:
exampleisRange
Type: boolean
Whether the control selects a date range.
operation
Type: string
Filtering operation.
Enum:
IN,NIN,EQ,NE,GT,LT,GTE,LTE,ISNULL,ISNOTNULL,ISTARTSWITH,STARTSWITH,IENDSWITH,ENDSWITH,ICONTAINS,CONTAINS,NOTICONTAINS,NOTCONTAINS,BETWEEN,LENEQ,LENGT,LENGTE,LENLT,LENLTE,NO_SELECTED_VALUESrequired
Type: boolean
Whether the control value is required.
showHint
Type: boolean
Whether to show the control hint.
showInnerTitle
Type: boolean
Whether to show the title inside the control.
showTitle
Type: boolean
Whether to show the control title.
titlePlacement
Type: string
Control title placement.
Enum:
hide,left,topExample
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "isRange": true, "elementType": "date", "fieldType": "date", "defaultValue": "example" } -
Type: object
elementType
Type: string
Input control type.
Const:
inputExample:
exampleaccentType
Type: string | null
Control accent style.
Const:
infoExample:
exampledefaultValue
Type: string
Default input value.
Example:
examplehint
Type: string
Control hint text.
Example:
exampleinnerTitle
Type: string
Title displayed inside the control.
Example:
exampleoperation
Type: string
Filtering operation.
Enum:
IN,NIN,EQ,NE,GT,LT,GTE,LTE,ISNULL,ISNOTNULL,ISTARTSWITH,STARTSWITH,IENDSWITH,ENDSWITH,ICONTAINS,CONTAINS,NOTICONTAINS,NOTCONTAINS,BETWEEN,LENEQ,LENGT,LENGTE,LENLT,LENLTE,NO_SELECTED_VALUESrequired
Type: boolean
Whether the control value is required.
showHint
Type: boolean
Whether to show the control hint.
showInnerTitle
Type: boolean
Whether to show the title inside the control.
showTitle
Type: boolean
Whether to show the control title.
titlePlacement
Type: string
Control title placement.
Enum:
hide,left,topExample
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "elementType": "input", "defaultValue": "example" } -
Type: object
defaultValue
Type: string
Default checkbox value.
Example:
exampleelementType
Type: string
Checkbox control type.
Const:
checkboxExample:
exampleaccentType
Type: string | null
Control accent style.
Const:
infoExample:
examplehint
Type: string
Control hint text.
Example:
exampleinnerTitle
Type: string
Title displayed inside the control.
Example:
exampleoperation
Type: string
Filtering operation.
Enum:
IN,NIN,EQ,NE,GT,LT,GTE,LTE,ISNULL,ISNOTNULL,ISTARTSWITH,STARTSWITH,IENDSWITH,ENDSWITH,ICONTAINS,CONTAINS,NOTICONTAINS,NOTCONTAINS,BETWEEN,LENEQ,LENGT,LENGTE,LENLT,LENLTE,NO_SELECTED_VALUESrequired
Type: boolean
Whether the control value is required.
showHint
Type: boolean
Whether to show the control hint.
showInnerTitle
Type: boolean
Whether to show the title inside the control.
showTitle
Type: boolean
Whether to show the control title.
titlePlacement
Type: string
Control title placement.
Enum:
hide,left,topExample
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "elementType": "checkbox", "defaultValue": "example" }
Example
{
"required": true,
"showHint": true,
"showTitle": true,
"hint": "example",
"accentType": "info",
"innerTitle": "example",
"showInnerTitle": true,
"operation": "IN",
"titlePlacement": "hide",
"multiselectable": true,
"elementType": "select",
"defaultValue": "example"
}
DashControlSourceDatasetV2
Dataset control source.
All of 2 types
-
Type: DashControlElementV2
Example
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example" } -
Type: object
datasetFieldId
Type: string
Source dataset field identifier.
Min length:
1Example:
exampledatasetId
Type: string
Source dataset identifier.
Min length:
1Example:
exampledatasetFieldType
Type: string
Source dataset field type.
Enum:
DIMENSION,MEASURE,PSEUDO,PARAMETERfieldType
Type: string
Source dataset field data type.
Enum:
date,genericdatetime,datetimetz,integer,uinteger,string,float,boolean,geopoint,geopolygon,markup,heatmap,array_int,array_float,array_str,unsupported,hierarchy,tree_str,tree_int,tree_floatExample
{ "datasetId": "example", "datasetFieldId": "example", "fieldType": "date", "datasetFieldType": "DIMENSION" }
Example
{
"required": true,
"showHint": true,
"showTitle": true,
"hint": "example",
"accentType": "info",
"innerTitle": "example",
"showInnerTitle": true,
"operation": "IN",
"titlePlacement": "hide",
"multiselectable": true,
"elementType": "select",
"defaultValue": "example",
"datasetId": "example",
"datasetFieldId": "example",
"fieldType": "date",
"datasetFieldType": "DIMENSION"
}
DashControlSourceManualV2
Manual control source.
All of 2 types
-
Type: DashControlElementV2
Example
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example" } -
Type: object
fieldName
Type: string
Parameter name for the manual control.
Min length:
1Example:
exampleacceptableValues
Any of 2 types
-
Type: object[]
title
Type: string
Label for the allowed value.
Example:
examplevalue
Type: string
Allowed control value.
Example:
exampleExample
[ { "value": "example", "title": "example" } ] -
Type: object
from
Type: string
Start of the allowed value range.
Example:
exampleto
Type: string
End of the allowed value range.
Example:
exampleExample
{ "from": "example", "to": "example" }
Values accepted by the manual control.
Example
[ { "value": "example", "title": "example" } ]Example
{ "fieldName": "example", "acceptableValues": [ { "value": "example", "title": "example" } ] } -
Example
{
"required": true,
"showHint": true,
"showTitle": true,
"hint": "example",
"accentType": "info",
"innerTitle": "example",
"showInnerTitle": true,
"operation": "IN",
"titlePlacement": "hide",
"multiselectable": true,
"elementType": "select",
"defaultValue": "example",
"fieldName": "example",
"acceptableValues": [
{
"value": "example",
"title": "example"
}
]
}
ReportTabItemV2
One of 7 types
-
Type: object
data
Type: object
text
Type: string
Text item content.
Example:
exampleautoHeight
Type: boolean
Whether to adjust the item height to its content.
backgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByThemeV2
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Text item background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Text item border radius.
Example
{ "text": "example", "autoHeight": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5 }id
Type: string
Dashboard item identifier.
Min length:
1Example:
examplenamespace
Type: string
Item namespace.
Const:
defaultExample:
exampletype
Type: string
Text item type.
Const:
textExample:
exampledefaultOrderId
Type: number
Default item order.
orderId
Type: number
Current item order.
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "data": { "text": "example", "autoHeight": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5 }, "type": "text" } -
-
Type: object
data
Type: object
size
Any of 2 types
-
Type: string
Enum:
xl,l,m,s,xs -
Type: object
fontSize
Type: number
Title font size.
lineHeight
Type: number
Title line height.
Example
{ "fontSize": 0.5, "lineHeight": 0.5 }
Title size settings.
Example:
xltext
Type: string
Title text.
Example:
examplebackgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByThemeV2
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Title item background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Title border radius.
hint
Type: object
enabled
Type: boolean
Whether the title hint is enabled.
text
Type: string
Title hint text.
Example:
exampleTitle hint settings.
Example
{ "enabled": true, "text": "example" }internalMarginsEnabled
Type: boolean
Whether the title includes internal margins. This experimental field may change in future API versions.
textSettings
Type: object
color
Type: object
dark
Type: string
Color for the dark theme.
Example:
examplelight
Type: string
Color for the light theme.
Example:
exampleTitle text color by theme in hex.
Example
{ "light": "example", "dark": "example" }Title text settings.
Example
{ "color": { "light": "example", "dark": "example" } }Title item data.
Example
{ "text": "example", "size": "xl", "textSettings": { "color": { "light": "example", "dark": "example" } }, "hint": { "enabled": true, "text": "example" }, "borderRadius": 0.5, "internalMarginsEnabled": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } } }id
Type: string
Dashboard item identifier.
Min length:
1Example:
examplenamespace
Type: string
Item namespace.
Const:
defaultExample:
exampletype
Type: string
Title item type.
Const:
titleExample:
exampledefaultOrderId
Type: number
Default item order.
orderId
Type: number
Current item order.
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "data": { "text": "example", "size": "xl", "textSettings": { "color": { "light": "example", "dark": "example" } }, "hint": { "enabled": true, "text": "example" }, "borderRadius": 0.5, "internalMarginsEnabled": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } } }, "type": "title" } -
-
Type: object
data
Type: object
hideTitle
Type: boolean
Whether to hide the widget title.
tabs
Type: object[]
chartId
Type: string
Chart identifier.
Min length:
1Example:
exampleid
Type: string
Widget tab identifier.
Min length:
1Example:
exampleparams
Type: object
[additional]
Type: DashStringDefaultValueV2
A dashboard parameter value represented by one or multiple strings.
Example:
exampleParameters passed to the chart.
Example
{}title
Type: string
Widget tab title.
Min length:
1Example:
exampledescription
Type: string
Widget tab description.
Example:
exampleenableActionParams
Type: boolean
Whether chart actions can update parameters.
enableDescription
Type: boolean
Whether the widget tab description is enabled.
enableHint
Type: boolean
Whether the widget tab hint is enabled.
hint
Type: string
Widget tab hint.
Example:
exampleisDefault
Type: boolean
Whether this is the default widget tab.
Report widget tabs.
Example
[ { "id": "example", "title": "example", "description": "example", "hint": "example", "enableHint": true, "enableDescription": true, "chartId": "example", "isDefault": true, "params": {}, "enableActionParams": true } ]backgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByThemeV2
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Widget background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Widget border radius.
Widget item data.
Example
{ "hideTitle": true, "borderRadius": 0.5, "tabs": [ { "id": "example", "title": "example", "description": "example", "hint": "example", "enableHint": true, "enableDescription": true, "chartId": "example", "isDefault": true, "params": {}, "enableActionParams": true } ], "backgroundSettings": { "color": { "light": "example", "dark": "example" } } }id
Type: string
Dashboard item identifier.
Min length:
1Example:
examplenamespace
Type: string
Item namespace.
Const:
defaultExample:
exampletype
Type: string
Widget item type.
Const:
widgetExample:
exampledefaultOrderId
Type: number
Default item order.
orderId
Type: number
Current item order.
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "data": { "hideTitle": true, "borderRadius": 0.5, "tabs": [ { "id": "example", "title": "example", "description": "example", "hint": "example", "enableHint": true, "enableDescription": true, "chartId": "example", "isDefault": true, "params": {}, "enableActionParams": true } ], "backgroundSettings": { "color": { "light": "example", "dark": "example" } } }, "type": "widget" } -
-
Type: object
data
Type: object
src
Type: string
Image source URL.
Example:
examplealt
Type: string
Alternative text for the image.
Example:
examplebackgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByThemeV2
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Image background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Image border radius.
preserveAspectRatio
Type: boolean
Whether to preserve the image aspect ratio.
Image item data.
Example
{ "src": "example", "alt": "example", "preserveAspectRatio": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5 }id
Type: string
Dashboard item identifier.
Min length:
1Example:
examplenamespace
Type: string
Item namespace.
Const:
defaultExample:
exampletype
Type: string
Image item type.
Const:
imageExample:
exampledefaultOrderId
Type: number
Default item order.
orderId
Type: number
Current item order.
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "image", "data": { "src": "example", "alt": "example", "preserveAspectRatio": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5 } } -
-
Type: object
data
Type: object
source
Type: DashControlSourceExternalV2
External control source.
Example
{ "chartId": "example" }sourceType
Type: string
External control source type.
Const:
externalExample:
exampletitle
Type: string
Control title.
Min length:
1Example:
exampleControl item data.
Example
{ "title": "example", "sourceType": "external", "source": { "chartId": "example" } }defaults
Type: object
[additional]
Type: DashStringDefaultValueV2
A dashboard parameter value represented by one or multiple strings.
Example:
exampleDefault control values.
Example
{}id
Type: string
Dashboard item identifier.
Min length:
1Example:
examplenamespace
Type: string
Item namespace.
Const:
defaultExample:
exampletype
Type: string
Control item type.
Const:
controlExample:
exampledefaultOrderId
Type: number
Default item order.
orderId
Type: number
Current item order.
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "control", "data": { "title": "example", "sourceType": "external", "source": { "chartId": "example" } }, "defaults": {} } -
Type: object
data
Type: object
autoHeight
Type: boolean
Whether to adjust the group height to its content.
buttonApply
Type: boolean
Whether to show the Apply button.
buttonReset
Type: boolean
Whether to show the Reset button.
group
Type: array
One of 2 types
-
Type: object
id
Type: string
Control identifier.
Min length:
1Example:
examplenamespace
Type: string
Control namespace.
Const:
defaultExample:
examplesource
Type: DashControlSourceDatasetV2
Dataset control source.
Example
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example", "datasetId": "example", "datasetFieldId": "example", "fieldType": "date", "datasetFieldType": "DIMENSION" }sourceType
Type: string
Dataset control source type.
Const:
datasetExample:
exampletitle
Type: string
Control title.
Min length:
1Example:
exampledefaults
Type: object
[additional]
Type: DashStringDefaultValueV2
A dashboard parameter value represented by one or multiple strings.
Example:
exampleDefault control values.
Example
{}placementMode
Type: string
Control placement mode.
Enum:
auto,%,pxwidth
Type: string
Control width.
Example:
exampleExample
{ "title": "example", "id": "example", "namespace": "default", "defaults": {}, "placementMode": "auto", "width": "example", "sourceType": "dataset", "source": { "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example", "datasetId": "example", "datasetFieldId": "example", "fieldType": "date", "datasetFieldType": "DIMENSION" } } -
Type: object
id
Type: string
Control identifier.
Min length:
1Example:
examplenamespace
Type: string
Control namespace.
Const:
defaultExample:
examplesource
Type: DashControlSourceManualV2
Manual control source.
Example
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example", "fieldName": "example", "acceptableValues": [ { "value": "example", "title": "example" } ] }sourceType
Type: string
Manual control source type.
Const:
manualExample:
exampletitle
Type: string
Control title.
Min length:
1Example:
exampledefaults
Type: object
[additional]
Type: DashStringDefaultValueV2
A dashboard parameter value represented by one or multiple strings.
Example:
exampleDefault control values.
Example
{}placementMode
Type: string
Control placement mode.
Enum:
auto,%,pxwidth
Type: string
Control width.
Example:
exampleExample
{ "title": "example", "id": "example", "namespace": "default", "defaults": {}, "placementMode": "auto", "width": "example", "sourceType": "manual", "source": { "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example", "fieldName": "example", "acceptableValues": [ {} ] } }
Controls in the group.
Example
[ { "title": "example", "id": "example", "namespace": "default", "defaults": {}, "placementMode": "auto", "width": "example", "sourceType": "dataset", "source": { "datasetId": "example", "datasetFieldId": "example", "fieldType": "date", "datasetFieldType": "DIMENSION" } } ]showGroupName
Type: boolean
Whether to show the control group name.
groupName
Type: string
Control group name.
Example:
exampleupdateControlsOnChange
Type: boolean
Whether controls update immediately after a value changes.
Control group item data.
Example
{ "autoHeight": true, "buttonApply": true, "buttonReset": true, "showGroupName": true, "groupName": "example", "updateControlsOnChange": true, "group": [ { "title": "example", "id": "example", "namespace": "default", "defaults": {}, "placementMode": "auto", "width": "example", "sourceType": "dataset", "source": null } ] }id
Type: string
Dashboard item identifier.
Min length:
1Example:
examplenamespace
Type: string
Item namespace.
Const:
defaultExample:
exampletype
Type: string
Control group item type.
Const:
group_controlExample:
exampledefaultOrderId
Type: number
Default item order.
orderId
Type: number
Current item order.
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "group_control", "data": { "autoHeight": true, "buttonApply": true, "buttonReset": true, "showGroupName": true, "groupName": "example", "updateControlsOnChange": true, "group": [ { "title": "example", "id": "example", "namespace": "default", "defaults": {}, "placementMode": "auto", "width": "example", "sourceType": "dataset", "source": null } ] } } -
-
Type: object
data
Type: object
hideTitle
Type: boolean
Whether to hide the insight widget title.
prompt
Type: string
Prompt used to generate the widget.
Min length:
1Example:
examplewidgetTabId
Type: string
Neuro widget tab identifier.
Min length:
1Example:
examplebackgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByThemeV2
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Insight widget background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Insight widget border radius.
hideActions
Type: boolean
Whether to hide insight widget actions.
title
Type: string
Neuro widget title.
Example:
exampleInsight widget item data.
Example
{ "title": "example", "prompt": "example", "hideTitle": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "hideActions": true, "widgetTabId": "example" }id
Type: string
Dashboard item identifier.
Min length:
1Example:
examplenamespace
Type: string
Item namespace.
Const:
defaultExample:
exampletype
Type: string
Insight widget item type.
Const:
neuro_widgetExample:
exampledefaultOrderId
Type: number
Default item order.
orderId
Type: number
Current item order.
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "neuro_widget", "data": { "title": "example", "prompt": "example", "hideTitle": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "hideActions": true, "widgetTabId": "example" } } -
Example
{
"id": "example",
"namespace": "default",
"orderId": 0.5,
"defaultOrderId": 0.5,
"data": {
"text": "example",
"autoHeight": true,
"backgroundSettings": {
"color": {}
},
"borderRadius": 0.5
},
"type": "text"
}
DashLayoutItemV2
|
Name |
Description |
|
h |
Type: number Item height in grid units. |
|
i |
Type: string Dashboard item identifier. Min length: Example: |
|
w |
Type: number Item width in grid units. |
|
x |
Type: number Horizontal grid position. |
|
y |
Type: number Vertical grid position. |
|
parent |
Type: string Parent item identifier. Example: |
Example
{
"i": "example",
"h": 0.5,
"w": 0.5,
"x": 0.5,
"y": 0.5,
"parent": "example"
}
DashConnectionV2
|
Name |
Description |
|
from |
Type: string Source widget identifier. Min length: Example: |
|
kind |
Type: string Connection type. Const: Example: |
|
to |
Type: string Target widget identifier. Min length: Example: |
Example
{
"from": "example",
"to": "example",
"kind": "ignore"
}
ReportDataV2
|
Name |
Description |
||||||||||||||||||||||||||||||||||||||
|
counter |
Type: integer Counter used to generate item identifiers. Min value: |
||||||||||||||||||||||||||||||||||||||
|
salt |
Type: string Salt used to generate item identifiers. Min length: Example: |
||||||||||||||||||||||||||||||||||||||
|
slideGroups |
Type: object[]
Slide groups in the report. Example
|
||||||||||||||||||||||||||||||||||||||
|
slides |
Type: object[]
Report slides. Min items: Example
|
||||||||||||||||||||||||||||||||||||||
|
slideSettings |
Type: object
Visual settings keyed by slide identifier. Example
|
||||||||||||||||||||||||||||||||||||||
|
slidesOrder |
Type: string[] Slide identifiers in display order. Example
|
||||||||||||||||||||||||||||||||||||||
|
visualSettings |
Type: object
Default report visual settings. Example
|
||||||||||||||||||||||||||||||||||||||
|
accessDescription |
Type: string Custom message shown when access is denied. Example: |
||||||||||||||||||||||||||||||||||||||
|
settings |
Type: object
Report behavior settings. Example
|
||||||||||||||||||||||||||||||||||||||
|
supportDescription |
Type: string Custom message shown when contacting support. Example: |
Example
{
"counter": 1,
"salt": "example",
"slides": [
{
"id": "example"
}
],
"slideGroups": [
{
"id": "example",
"items": [
{}
],
"layout": [
{
"i": "example",
"h": 0.5,
"w": 0.5,
"x": 0.5,
"y": 0.5,
"parent": "example"
}
],
"aliases": {
"default": [
[
null,
null
]
]
},
"connections": [
{
"from": "example",
"to": "example",
"kind": "ignore"
}
]
}
],
"slidesOrder": [
"example"
],
"visualSettings": {
"backgroundColor": "example",
"backgroundSettings": {
"color": {
"light": "example",
"dark": "example"
}
},
"borderRadius": 0.5,
"widgetsSettings": {
"borderRadius": 0.5,
"internalMarginsEnabled": true
},
"theme": "example",
"contrast": "example",
"format": "example",
"orientation": "example",
"displayVisualGrid": "example",
"displayDefaultFooter": "example",
"footerText": "example",
"displayLink": "example",
"footerLink": "example",
"displayOnFirstPage": "example",
"displayPageNumber": "example"
},
"slideSettings": {},
"settings": {
"enableAssistant": true,
"dependentSelectors": true,
"loadOnlyVisibleCharts": true
},
"supportDescription": "example",
"accessDescription": "example"
}
ReportMetaV2
Type: object | null
Example
{}
EntryAnnotationArg
|
Name |
Description |
|
description |
Type: string Description of the entry. Example: |
Example
{
"description": "example"
}
Responses
200 OK
Response
Body
application/json
{
"entry": {
"annotation": {
"description": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"revUpdatedBy": "example",
"revUpdatedAt": "example",
"data": {
"counter": 1,
"salt": "example",
"slides": [
{
"id": "example"
}
],
"slideGroups": [
{
"id": "example",
"items": [
null
],
"layout": [
null
],
"aliases": {},
"connections": [
null
]
}
],
"slidesOrder": [
"example"
],
"visualSettings": {
"backgroundColor": "example",
"backgroundSettings": {
"color": null
},
"borderRadius": 0.5,
"widgetsSettings": {
"borderRadius": 0.5,
"internalMarginsEnabled": true
},
"theme": "example",
"contrast": "example",
"format": "example",
"orientation": "example",
"displayVisualGrid": "example",
"displayDefaultFooter": "example",
"footerText": "example",
"displayLink": "example",
"footerLink": "example",
"displayOnFirstPage": "example",
"displayPageNumber": "example"
},
"slideSettings": {},
"settings": {
"enableAssistant": true,
"dependentSelectors": true,
"loadOnlyVisibleCharts": true
},
"supportDescription": "example",
"accessDescription": "example"
},
"entryId": "example",
"key": "example",
"scope": "report",
"hidden": true,
"meta": {},
"publishedId": "example",
"savedId": "example",
"revId": "example",
"tenantId": "example",
"type": "",
"workbookId": "example",
"collectionId": "example",
"version": 2,
"public": false,
"links": {}
}
}
|
Name |
Description |
|
entry |
Type: ReportV2 Example
|
EntryAnnotation
Type: object | null
Example
{
"description": "example"
}
ReportV2
|
Name |
Description |
|
collectionId |
Type: string | null Example: |
|
createdAt |
Type: string Example: |
|
createdBy |
Type: string Example: |
|
data |
Type: ReportDataV2 Example
|
|
entryId |
Type: string Example: |
|
hidden |
Type: boolean |
|
key |
Type: string Example: |
|
meta |
Type: ReportMetaV2 Example
|
|
public |
Type: boolean Const: |
|
publishedId |
Type: string | null Example: |
|
revId |
Type: string Example: |
|
savedId |
Type: string Example: |
|
scope |
Type: string Const: Example: |
|
tenantId |
Type: string Example: |
|
type |
Type: string Const: `` Example: |
|
updatedAt |
Type: string Example: |
|
updatedBy |
Type: string Example: |
|
version |
Type: number Const: |
|
workbookId |
Type: string | null Example: |
|
annotation |
Type: EntryAnnotation Example
|
|
links |
Type: object | null Example
|
|
revUpdatedAt |
Type: string Example: |
|
revUpdatedBy |
Type: string Example: |
Example
{
"annotation": {
"description": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"revUpdatedBy": "example",
"revUpdatedAt": "example",
"data": {
"counter": 1,
"salt": "example",
"slides": [
{
"id": "example"
}
],
"slideGroups": [
{
"id": "example",
"items": [
null
],
"layout": [
{}
],
"aliases": {
"default": [
null
]
},
"connections": [
{}
]
}
],
"slidesOrder": [
"example"
],
"visualSettings": {
"backgroundColor": "example",
"backgroundSettings": {
"color": {}
},
"borderRadius": 0.5,
"widgetsSettings": {
"borderRadius": 0.5,
"internalMarginsEnabled": true
},
"theme": "example",
"contrast": "example",
"format": "example",
"orientation": "example",
"displayVisualGrid": "example",
"displayDefaultFooter": "example",
"footerText": "example",
"displayLink": "example",
"footerLink": "example",
"displayOnFirstPage": "example",
"displayPageNumber": "example"
},
"slideSettings": {},
"settings": {
"enableAssistant": true,
"dependentSelectors": true,
"loadOnlyVisibleCharts": true
},
"supportDescription": "example",
"accessDescription": "example"
},
"entryId": "example",
"key": "example",
"scope": "report",
"hidden": true,
"meta": {},
"publishedId": "example",
"savedId": "example",
"revId": "example",
"tenantId": "example",
"type": "",
"workbookId": "example",
"collectionId": "example",
"version": 2,
"public": false,
"links": {}
}